javamoney
  1. javamoney
  2. JAVAMONEY-69

isLowerBound and isUpperBound should be hasLowerBound and hasUpperBound in ProviderContext

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 0.7
    • Fix Version/s: 0.8
    • Component/s: API
    • Labels:
      None

      Description

      The ProviderContext class in the "convert" package has 2 methods isLowerBound() and isUpperBound().
      While is* tends to be used for boolean getters, there are exceptions, and those cases prefer has*

      API elements with a similar purpose like *Range in Google Guava consistently call these
      public boolean hasLowerBound() or hasUpperBound().

        Activity

        There are no comments yet on this issue.

          People

          • Assignee:
            atsticks
            Reporter:
            keilw
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: